Bug 259647 - security/py-acme security/py-certbot*: Update to 1.21.0
Summary: security/py-acme security/py-certbot*: Update to 1.21.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-python (Nobody)
URL: https://github.com/certbot/certbot/re...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-04 15:56 UTC by Yasuhiro Kimura
Modified: 2021-11-06 02:28 UTC (History)
0 users

See Also:
sunpoet: maintainer-feedback+


Attachments
Patch file (12.26 KB, patch)
2021-11-04 15:56 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2021-11-04 15:56:08 UTC
Created attachment 229269 [details]
Patch file

Update to 1.21.0

* Build succeeds with poudriere and 13.0-RELEASE amd64 jail.
* New certificate is successfully issued with DNS-01 authentication and dns-rfc2136 plugin.

ChangeLog: https://github.com/certbot/certbot/releases/tag/v1.21.0
Comment 1 Po-Chuan Hsieh freebsd_committer 2021-11-05 20:41:00 UTC
LGTM. Thanks!
Comment 2 commit-hook freebsd_committer 2021-11-06 02:26:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5375c4ffec09f3734d2e860a7f1664fc621b0237

commit 5375c4ffec09f3734d2e860a7f1664fc621b0237
Author:     Yasuhiro Kimura <yasu@FreeBSD.org>
AuthorDate: 2021-11-04 07:43:18 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-11-06 02:25:22 +0000

    security-py-{acme,certbot*}: Update to 1.21.0

    ChangeLog:      https://github.com/certbot/certbot/releases/tag/v1.21.0
    PR:             259647
    Approved by:    sunpoet (python, maintainer)

 security/py-acme/distinfo                     | 6 +++---
 security/py-acme/version.mk                   | 2 +-
 security/py-certbot-apache/distinfo           | 6 +++---
 security/py-certbot-dns-cloudflare/distinfo   | 6 +++---
 security/py-certbot-dns-cloudxns/distinfo     | 6 +++---
 security/py-certbot-dns-digitalocean/distinfo | 6 +++---
 security/py-certbot-dns-dnsimple/distinfo     | 6 +++---
 security/py-certbot-dns-dnsmadeeasy/distinfo  | 6 +++---
 security/py-certbot-dns-gehirn/distinfo       | 6 +++---
 security/py-certbot-dns-google/distinfo       | 6 +++---
 security/py-certbot-dns-linode/distinfo       | 6 +++---
 security/py-certbot-dns-luadns/distinfo       | 6 +++---
 security/py-certbot-dns-nsone/distinfo        | 6 +++---
 security/py-certbot-dns-ovh/distinfo          | 6 +++---
 security/py-certbot-dns-rfc2136/distinfo      | 6 +++---
 security/py-certbot-dns-route53/distinfo      | 6 +++---
 security/py-certbot-dns-sakuracloud/distinfo  | 6 +++---
 security/py-certbot-nginx/distinfo            | 6 +++---
 security/py-certbot/distinfo                  | 6 +++---
 19 files changed, 55 insertions(+), 55 deletions(-)
Comment 3 Yasuhiro Kimura freebsd_committer 2021-11-06 02:28:06 UTC
Committed.